Package org.codehaus.commons.compiler.util.resource

# Class DirectoryResourceCreator

java.lang.Object
org.codehaus.commons.compiler.util.resource.FileResourceCreator
org.codehaus.commons.compiler.util.resource.DirectoryResourceCreator

All Implemented Interfaces:
  `ResourceCreator`

public class DirectoryResourceCreator extends FileResourceCreator
Creates a resource in a given directory:

         destinationDirectory/resourceName

## Constructor Summary

Constructors
Constructor
Description
`DirectoryResourceCreator(File destinationDirectory)`

## Method Summary

Modifier and Type
Method
Description
`protected final File`
`getFile(String resourceName)`

### Methods inherited from class org.codehaus.commons.compiler.util.resource.FileResourceCreator

`createResource, deleteResource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryResourceCreator

public DirectoryResourceCreator(File destinationDirectory)

## Method Details

### getFile

protected final File getFile(String resourceName)

Specified by:
  `getFile` in class `FileResourceCreator`
Returns:
  The file into which the contents is written